Name:       mate-tweak
Summary:    Mate desktop configuration tool
Version:    21.04.1
Release:    %mkrel 1
URL:        https://github.com/ubuntu-mate/mate-tweak
License:    GPLv2+
Group:      Graphical desktop/MATE
Source0:    https://github.com/ubuntu-mate/%{name}/archive/%{version}.tar.gz
# Extracted from https://launchpad.net/ubuntu/+archive/primary/+files/ubuntu-mate-settings_16.10.7.tar.xz
# with additions of mageia-fresh, maggy and maggy-fresh layouts
Source1:    panel-layouts.tar.xz
Patch1:     mate-tweak-18.04.13-mga-fix_applet_paths.patch
Patch3:     mate-tweak-18.04.1-mga-maggy_layout.patch
Patch4:     mate-tweak-18.04.1-mga-guake.patch
BuildArch:  noarch

BuildRequires: python3 >= 3.0.0
BuildRequires: python3-setuptools
BuildRequires: python3-distutils-extra
BuildRequires: intltool

Requires: wmctrl
Requires: mesa-demos
Requires: python3
Requires: python3-gobject3
Requires: python3-configobj
Requires: python3-psutil
Requires: python3-setproctitle
Requires: mate-applets >= 1.16.0
Requires: mate-panel >= 1.16.0

Recommends: mate-dock-applet
Recommends: plank
Recommends: synapse
Recommends: mate-netbook >= 1.16.0
Recommends: mate-menu
Recommends: compiz
Recommends: brisk-menu
Recommends: guake

%description
Configures some aspects of the MATE desktop not exposed via the
MATE Control Center applets.

Settings that can be handled via MATE Tweak:
 * Show/hide standard desktop icons.
 * Panel fine-tuning (icon visibility, in menus and on buttons,
   icon size, button labelling, contex menus, etc.).
 * Window manager fine-tuning.

%prep
## patch1 -p1 -b .OR
%autosetup -p1 -a 1

# We don't provide xdg-su. Change it to use polkit.
sed -i "s|'xdg-su', '-c |'pkexec', '|g" %{name}
sed -i '/polkit/d' setup.py

# Change installation location to libexec
for i in "mate-tweak data/org.mate.mate-tweak.policy"; do
    sed -i "s|/usr/lib/mate-tweak|/usr/libexec/mate-tweak|g" $i
done

sed -i "s|/lib/mate-tweak|/libexec/mate-tweak|g" setup.py

%build
%{py3_build}

%install
%{py3_install}

# Install panel layouts:
mkdir -p %{buildroot}%{_datadir}/mate-panel/layouts
cp -f panel-layouts/*.layout %{buildroot}%{_datadir}/mate-panel/layouts/

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%{_bindir}/mate-tweak
%{_bindir}/marco-compton
%{_bindir}/marco-no-composite
%{_datadir}/applications/*.desktop
%{_datadir}/mate-panel/layouts/
%{_mandir}/man1/mate-tweak.1*
%{_mandir}/man1/marco-compton.1*
%{_mandir}/man1/marco-no-composite.1*
%{_libexecdir}/mate-tweak/
%{python3_sitelib}/*egg-info


%changelog
* Mon Nov 30 2020 kekepower <kekepower> 21.04.1-1.mga8
+ Revision: 1650630
- Update to version 21.04.1
- Update to version 21.04.0

* Tue Sep 22 2020 kekepower <kekepower> 20.10.0-1.mga8
+ Revision: 1629446
- Update to version 20.10.0
- shlomif supplied a rediff of all the patches

* Sun Feb 16 2020 umeabot <umeabot> 18.04.14-5.mga8
+ Revision: 1533523
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 18.04.14-4.mga8
+ Revision: 1444584
- rebuild for python3.8

* Tue Jan 08 2019 tv <tv> 18.04.14-3.mga7
+ Revision: 1352102
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 18.04.14-2.mga7
+ Revision: 1279496
- Mageia 7 Mass Rebuild

* Wed Mar 21 2018 tarakbumba <tarakbumba> 18.04.14-1.mga7
+ Revision: 1211161
- Updated to 18.04.14 version

* Fri Mar 09 2018 tarakbumba <tarakbumba> 18.04.13-1.mga7
+ Revision: 1207891
- Updated to 18.04.13 version

* Sat Jan 06 2018 tarakbumba <tarakbumba> 18.04.1-1.mga7
+ Revision: 1190959
- Update to 18.04.1 version

* Sat Aug 05 2017 pterjan <pterjan> 17.04.1-2.mga7
+ Revision: 1135269
- Rebuild for python 3.6

* Thu Mar 16 2017 tarakbumba <tarakbumba> 17.04.1-1.mga6
+ Revision: 1093136
- Update to 17.04.1 version
- Added extra panel layouts to choose from

* Sat Dec 24 2016 wally <wally> 3.5.10.1-1.mga6
+ Revision: 1077191
- new version 3.5.10.1
- rediff patches
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Nov 27 2015 tarakbumba <tarakbumba> 3.5.2b-0.git20151125.1.mga6
+ Revision: 906429
- imported package mate-tweak

